Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.datacache
Class GemFireCacheWrapper

    java.lang.Object
      |
      +--kodo.datacache.GemFireCacheWrapper

public synchronized class GemFireCacheWrapper
extends Object

Field Summary
`protected com.gemstone.gemfire.cache.Cache` | `_cache`
`protected Log` | `_log`
`protected com.gemstone.gemfire.cache.Region` | `_region`

Constructor Summary
`GemFireCacheWrapper(Log, String)`

Method Summary
`protected void` | `clear()`
`void` | `close()`
`protected Object` | `get(Object)`
`protected void` | `initializeCache()`
`protected void` | `initializeRegion(String)`
`protected Set` | `keySet()`
`protected Object` | `put(Object, Object)`
`protected Object` | `remove(Object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _log

    protected Log _log

### _cache

    protected com.gemstone.gemfire.cache.Cache _cache

### _region

    protected com.gemstone.gemfire.cache.Region _region

Constructor Detail

### GemFireCacheWrapper

    public GemFireCacheWrapper(Log,
                               String)

Method Detail

### close

    public void close()

### get

    protected Object get(Object)

### put

    protected Object put(Object,
                         Object)

### remove

    protected Object remove(Object)

### clear

    protected void clear()

### keySet

    protected Set keySet()

### initializeCache

    protected void initializeCache()

### initializeRegion

    protected void initializeRegion(String)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.